uk.gov.hmrc.mongo

# metrix

#### package metrix

Visibility

1. Public
2. All

### Type Members

1. #### trait MetricOrchestrationResult extends AnyRef

2. #### class MetricOrchestrator extends AnyRef

3. #### trait MetricRepository extends AnyRef

4. #### trait MetricSource extends AnyRef

   A source of metrics to collect from your application

5. #### final case class MetricsOnlyRefreshed(refreshedMetrics: List[PersistedMetric]) extends MetricOrchestrationResult with Product with Serializable

6. #### final case class MetricsUpdatedAndRefreshed(updatedMetrics: Map[String, Int], refreshedMetrics: Seq[PersistedMetric]) extends MetricOrchestrationResult with Product with Serializable

7. #### final case class PersistedMetric(name: String, count: Int) extends Product with Serializable

### Value Members

1. #### object PersistedMetric extends Serializable

2. #### package impl

3. #### package internal

### Ungrouped